/* file:	default.h
   author:	Dmitri Tikhonov
*/

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *  Copyright (C) 1999 Dmitri Tikhonov					   *
 *									   *	
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or	   *
 *  (at your option) any later version.					   *
 *									   *
 *  This program is distributed in the hope that it will be useful,	   *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of	   *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	   *
 *  GNU General Public License for more details.			   *
 *									   *
 *  You should have received a copy of the GNU General Public License	   *
 *  along with this program; if not, write to the Free Software		   *
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.		   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef __DEFAULT_H__
#define __DEFAULT_H__

#include "bool.h"

#define DEFAULT_COLOR		FALSE
#define DEFAULT_SORT		TRUE
#define DEFAULT_READ_SYMLINK	FALSE
#define DEFAULT_HELP		FALSE
#define DEFAULT_DEF		FALSE
#define DEFAULT_DIR_ONLY	FALSE
#define DEFAULT_NO_DOTS		TRUE
#define DEFAULT_SHOW_VERSION	FALSE
#define DEFAULT_CLASSIFY	FALSE
#define DEFAULT_LEVEL		FALSE

#define FLIP(a)	(a?FALSE:TRUE)

/* Nota Bene:
	*Do not* change values of DEFAULT_HELP or DEFAULT_SHOW_VERSION to
	TRUE, because these options have higher precedence than others.  If
	you change these, your program will be displaying help message or
	version number, that's it.

	So do not change it.

					-- Dmitri.
*/

#endif /* __DEFAULT_H__ */
